# setVideoEncoderParam method Null safety

Future<void> setVideoEncoderParam(

1. TRTCVideoEncParam param

)

Set video encoder parameters

These settings determine the quality of image viewed by remote users, which is also the image quality of recorded video files in the cloud

Parameters:

param: Video encoding parameters. For more information, please see the definition of `TRTCVideoEncParam`

## Implementation

    Future<void> setVideoEncoderParam(
        TRTCVideoEncParam
            param // 视频编码参数，详情请参考 TRTCCloudDef.java 中的 TRTCVideoEncParam 定义。
        ) {
      if (kIsWeb) {
        return _channel.invokeMethod('setVideoEncoderParam', jsonEncode(param));
      }
      return _channel.invokeMethod('setVideoEncoderParam', {
        "param": jsonEncode(param),
      });
    }